JDownloader Community - Appwork GmbH
 

Closed Thread
 
Thread Tools Display Modes
  #1  
Old 07.04.2010, 20:47
allforum
Guest
 
Posts: n/a
Default Plugin error (out of date) [megashares.com]

Please help, i could not resume my outstanding download

Link: **External links are only visible to Support Staff****External links are only visible to Support Staff**

Log as follow:
Thread: 17 -----------------------
17 4/8/10 12:44:09 AM - INFO [java_downloader] -> Start new Download: megashares.com

------------------------ Thread: 32 -----------------------
32 4/8/10 12:44:09 AM - INFO [java_downloader] -> Start working on Star.Trek.Generations.1994.1080p.BluRay.x264-CiNEFiLE.mkv
32 4/8/10 12:44:11 AM - FINER [java_downloader] -> Connect...
32 4/8/10 12:44:12 AM - INFO [java_downloader] -> Plugin outdated
32 4/8/10 12:44:12 AM - WARNING [java_downloader] ->
Error occured- latest: ERROR_PLUGIN_DEFECT
00100000010001000000000000000001 <Statuscode
00000000000000000000000000000001 |TODO
00000000000001000000000000000000 |PLUGIN_IN_PROGRESS
00000000010000000000000000000000 |ERROR_PLUGIN_DEFECT
00100000000000000000000000000000 |PLUGIN_ACTIVE
StatusText: Download

32 4/8/10 12:44:12 AM - WARNING [java_downloader] -> The Plugin for megashares.com seems to be out of date(rev10947). Please inform the Support-team http://jdownloader.org/support.
32 4/8/10 12:44:12 AM - FINEST [java_downloader] -> -->**External links are only visible to Support Staff****External links are only visible to Support Staff**
----------------Request------------------
GET /index.php?d01=5cf9b9f&d01go=1&fln=/Star.Trek.Generations.1994.1080p.BluRay.x264-CiNEFiLE.mkv HTTP/1.1
Accept-Language: de, en-gb;q=0.9, en;q=0.8
Range: bytes=8206850372-
Cookie: uloader=df03b7b1dc3a8746fc076d1318455096; lctrk=61460%3A1270662253%3A
Host: webprod29.megashares.com
Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
Referer: **External links are only visible to Support Staff****External links are only visible to Support Staff**
Accept-Encoding:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.10) Gecko/2009042523 Ubuntu/9.04 (jaunty) Firefox/3.0.10
Connection: close
Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8
Pragma: no-cache
Cache-Control: no-cache

----------------Response------------------
HTTP/1.1 200 OK
Date: Wed, 07 Apr 2010 17:44:16 GMT
Content-Length: 0
Connection: close
Content-Type: text/html; charset=UTF-8
Server: Apache/2.2.13 (Fedora)
X-Powered-By: PHP/5.2.11


32 4/8/10 12:44:12 AM - FINEST [java_downloader] -> No htmlCode read

------------------------ Thread: 33 -----------------------
33 4/8/10 12:46:48 AM - INFO [java_downloader] -> ByteBufferController: Used: 500.00 KB Free: 0 B
  #2  
Old 08.04.2010, 12:56
remi
Guest
 
Posts: n/a
Default

Confirmed. I started downloading this resumable link. Disabled it, enabled it, but it said "Download failed".
  #3  
Old 08.04.2010, 17:17
pspzockerscene's Avatar
pspzockerscene pspzockerscene is offline
Community Manager
 
Join Date: Mar 2009
Location: Deutschland
Posts: 48,900
Default

@remi
For me its working but i still made a Bugtracker ticket:
http://svn.jdownloader.org/issues/show/1564

GreeZ pspzockerscene
__________________

Ad-free installers || Werbefreie Installer
Windows Setup<--JD2 BETA-->Linux Setup x86 || Linux Setup x64 || Mac Setup
-----=>Support Chat<=-----
Spoiler:

A users' JD crashes and the first thing to ask is:
Quote:
Originally Posted by Jiaz View Post
Do you have Nero installed?
That's true James
Quote:
Originally Posted by James
Die Leute verstehen einfach nicht dass nur weil man mit einer Waffe auch auf Menschen schießen kann dass ein Schützenver​ein kein Ort für Amoklaufide​en ist
  #4  
Old 10.04.2010, 10:09
allforum
Guest
 
Posts: n/a
Default

Remi, GreeZ,
I found the problem. There's nothing wrong with resume/pause mechenisism of this plugin. The reason is i'm using free download of megashares.com and it has limited at 550 MB/each and have to wait 120min. This plugin didn't raise message [Limited reached] and start wait timer (likes megaupload) but [Plugin error - out of date].

Please help to change the description in BugTracker ticket.

Thanks for you support.

Duy Doan
  #5  
Old 10.04.2010, 12:04
remi
Guest
 
Posts: n/a
Default

This is indeed valuable info about the cause of our problems. I'm sure the smartest plug-in developer of the universe, psp, will be able to solve that.

BTW, GreeZ means greetings and is not part of psp's name.
  #6  
Old 10.04.2010, 14:53
pspzockerscene's Avatar
pspzockerscene pspzockerscene is offline
Community Manager
 
Join Date: Mar 2009
Location: Deutschland
Posts: 48,900
Default

@allforum
I added a comment with your post to the ticket but i can't really do/fix anything without getting the error.
I guess i've to leech 550 MB+ to get it:blink:x)

GreeZ pspzockerscene
__________________

Ad-free installers || Werbefreie Installer
Windows Setup<--JD2 BETA-->Linux Setup x86 || Linux Setup x64 || Mac Setup
-----=>Support Chat<=-----
Spoiler:

A users' JD crashes and the first thing to ask is:
Quote:
Originally Posted by Jiaz View Post
Do you have Nero installed?
That's true James
Quote:
Originally Posted by James
Die Leute verstehen einfach nicht dass nur weil man mit einer Waffe auch auf Menschen schießen kann dass ein Schützenver​ein kein Ort für Amoklaufide​en ist
  #7  
Old 11.04.2010, 15:22
little little is offline
DSL User
 
Join Date: Mar 2009
Posts: 35
Default

The problem isn't that for me : I got (with NIGHLY 10957 and xmas 0.9.579) a plugin error (out of date) but starting the same download as a free user from a browser just work out of the box (and strangely I didn't need to enter a captcha either).
  #8  
Old 11.04.2010, 15:56
kABUSE
Guest
 
Posts: n/a
Default

same here!

From one moment to the next the download stopped working. error message:
Plugin error (out of date)
i can download the file via firefox without any problem but jdownloader refuses to work :(

HALP!!!!!!!!1
  #9  
Old 11.04.2010, 17:21
ash
Guest
 
Posts: n/a
Default

Here's a log for plugin error. It might be a bit different case, because the limit is reached in the browser as well "This link's filesize is larger than what you have left on your Passport."

http://jdownloader.net:8081/pastebin...downloader.net
**External links are only visible to Support Staff****External links are only visible to Support Staff**
  #10  
Old 12.04.2010, 03:23
QUICKRYDE
Guest
 
Posts: n/a
Default

Hello,

I'm new here and I'm having the same issue. I have an account with Megashare and I'm still rec'ving the "Plugin Error (out of date)".

Is there a fix for this issue?
  #11  
Old 12.04.2010, 20:47
weblurker weblurker is offline
Linkgrabbing Monster
 
Join Date: Mar 2009
Posts: 84
Default

I'm having the same problem with megashares as kABUSE and Quickryde.
  #12  
Old 13.04.2010, 09:38
matthews
Guest
 
Posts: n/a
Default

I noticed this problem too, and it was really bugging me so I started poking around in your code.

It looks like MegaShares changed their HTML a bit; I'm seeing a line in their source as:

HTML Code:
<div id="show_download_button_2" style="display:none">
I'm guessing it used to be without the style attribute, because the regex in the hoster plugin file on line 166 doesn't check for it. Part of the regex looks like this:

Code:
<div id=\"show_download_button(_2)?\">
Changing this to the following seems to make it work properly:

Code:
<div id=\"show_download_button(_2)?\".*?>
But then, my regex is really rusty so this could probably be done a little faster; at least if they change this div again with more attributes after the id it will still work fine. Swapping the MegaSharesCom.class file for the one compiled with this change makes the download work properly again (couldn't seem to get the whole project to run though...).

EDIT: here's a link to the fix plus the source for the (minor) change if anyone else is having this problem before it's fixed in an update: hotfile.com/dl/37703762/7641d8e/megashares_hotfix_2010-04-13_matthews.rar.html

Last edited by matthews; 13.04.2010 at 09:56. Reason: woops
  #13  
Old 13.04.2010, 15:29
pspzockerscene's Avatar
pspzockerscene pspzockerscene is offline
Community Manager
 
Join Date: Mar 2009
Location: Deutschland
Posts: 48,900
Default

I still don't know whats wrong so i won't change anything...

GreeZ psp
__________________

Ad-free installers || Werbefreie Installer
Windows Setup<--JD2 BETA-->Linux Setup x86 || Linux Setup x64 || Mac Setup
-----=>Support Chat<=-----
Spoiler:

A users' JD crashes and the first thing to ask is:
Quote:
Originally Posted by Jiaz View Post
Do you have Nero installed?
That's true James
Quote:
Originally Posted by James
Die Leute verstehen einfach nicht dass nur weil man mit einer Waffe auch auf Menschen schießen kann dass ein Schützenver​ein kein Ort für Amoklaufide​en ist
  #14  
Old 13.04.2010, 20:24
slavim
Guest
 
Posts: n/a
Default

Just the same for me - Plugin error (out of date).
Plugin version 10947

350MB link
**External links are only visible to Support Staff****External links are only visible to Support Staff**
550MB link
**External links are only visible to Support Staff****External links are only visible to Support Staff**
  #15  
Old 13.04.2010, 22:29
ashketchum
Guest
 
Posts: n/a
Default

The fix posted by matthews does not work for me. I have been getting the "plugin out of date error" for the megashares.com plugin since yesterday. I hope it can be fixed. :D

Edit: Forgot to mention that I was able to manually download files whose file sizes were less than the 550MB limit. Haven't tried to manually download any file larger than 550MB.

Last edited by ashketchum; 13.04.2010 at 22:48.
  #16  
Old 13.04.2010, 22:54
pspzockerscene's Avatar
pspzockerscene pspzockerscene is offline
Community Manager
 
Join Date: Mar 2009
Location: Deutschland
Posts: 48,900
Default

Confirmed, plugin is broken.
Added message to the ticket...

GreeZ pspzockerscene
__________________

Ad-free installers || Werbefreie Installer
Windows Setup<--JD2 BETA-->Linux Setup x86 || Linux Setup x64 || Mac Setup
-----=>Support Chat<=-----
Spoiler:

A users' JD crashes and the first thing to ask is:
Quote:
Originally Posted by Jiaz View Post
Do you have Nero installed?
That's true James
Quote:
Originally Posted by James
Die Leute verstehen einfach nicht dass nur weil man mit einer Waffe auch auf Menschen schießen kann dass ein Schützenver​ein kein Ort für Amoklaufide​en ist
  #17  
Old 14.04.2010, 00:23
ashketchum
Guest
 
Posts: n/a
Default

Ah, now I understand what matthews' fix was for. I remember getting "plugin out of date" errors in middle of downloads when downloading multiple files using megashares. It probably didn't detect that the 550MB limit was reached and so displayed the "plugin out of date" error instead of reconnecting or waiting. So, I hope that fix is also included with the next version of the plugin.

And thanks for the reply pspzockerscene. :D
  #18  
Old 14.04.2010, 02:06
matthews
Guest
 
Posts: n/a
Default

Well last week I had about 3gb of a 4gb file done downloading, and it just wouldn't reconnect no matter what I did; I figured after waiting a day or so it would reset, didn't help. Then I tried resetting my IP, which also didn't help.

The fix I made is still working for me.
  #19  
Old 14.04.2010, 13:18
bn638014
Guest
 
Posts: n/a
Default

thx for the effort matthews, but it does not work for me. I'm still getting the "plugin out of date" error
  #20  
Old 14.04.2010, 16:27
pspzockerscene's Avatar
pspzockerscene pspzockerscene is offline
Community Manager
 
Join Date: Mar 2009
Location: Deutschland
Posts: 48,900
Default

Quote:
Originally Posted by pspzockerscene View Post
Confirmed, plugin is broken.
Added message to the ticket...
So just wait till someone fixes it

GreeZ pspzockerscene
__________________

Ad-free installers || Werbefreie Installer
Windows Setup<--JD2 BETA-->Linux Setup x86 || Linux Setup x64 || Mac Setup
-----=>Support Chat<=-----
Spoiler:

A users' JD crashes and the first thing to ask is:
Quote:
Originally Posted by Jiaz View Post
Do you have Nero installed?
That's true James
Quote:
Originally Posted by James
Die Leute verstehen einfach nicht dass nur weil man mit einer Waffe auch auf Menschen schießen kann dass ein Schützenver​ein kein Ort für Amoklaufide​en ist
Closed Thread

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

All times are GMT +2. The time now is 16:03.
Provided By AppWork GmbH | Privacy | Imprint
Parts of the Design are used from Kirsch designed by Andrew & Austin
Powered by vBulletin® Version 3.8.10 Beta 1
Copyright ©2000 - 2019, Jelsoft Enterprises Ltd.